<template>
  <div class="days-of-week-select">
    <div>Select every</div>
    <div>
      <select v-model="selectedDayOfWeek" @change="selectedDayOfWeekChange()">
        <option
          v-for="dayOfWeek in daysOfWeek"
          :value="dayOfWeek"
          :key="dayOfWeek.id"
        >
          {{ dayOfWeek.name }}
        </option>
      </select>
    </div>
  </div>
</template>

<script>
export default {
  name: "SelectDayOfWeek",
  data() {
    return {
      daysOfWeek: [
        { dayNumber: -1, name: "None" },
        { dayNumber: 0, name: "Sunday" },
        { dayNumber: 1, name: "Monday" },
        { dayNumber: 2, name: "Tuesday" },
        { dayNumber: 3, name: "Wednesday" },
        { dayNumber: 4, name: "Thursday" },
        { dayNumber: 5, name: "Friday" },
        { dayNumber: 6, name: "Saturday" }
      ],
      selectedDayOfWeek: { dayNumber: -1, name: "None" }
    };
  },
  methods: {
    selectedDayOfWeekChange() {
      this.$emit("input", this.selectedDayOfWeek);
    }
  },
  mounted() {
    this.$emit("input", this.selectedDayOfWeek);
  }
};
</script>

<style>
.days-of-week-select {
  display: inline-grid;
  grid-template-columns: auto auto;
  grid-gap: 10px;
  margin: 20px;
}
</style>
